Page MenuHomePhabricator

Navigation on final page of Special:ListFiles pager should not loop back
Closed, ResolvedPublic

Description

When on the last page of Special:ListFiles, the "Next page" and "Last page" point to the first page instead of being disabled or linking to the actual last page.

  1. Open https://commons.wikimedia.org/w/index.php?title=Special:ListFiles&user=Krinkle
  2. Click "Next page" until you reach the last page.
  3. https://commons.wikimedia.org/w/index.php?title=Special:ListFiles&offset=20091205150053&user=Krinkle

Expected:
"Next page" links to current page, or is not linked

Actual:
"Next page" links back to the first page:
https://commons.wikimedia.org/w/index.php?title=Special:ListFiles&user=Krinkle


Version: 1.24rc
Severity: major

Details

Reference
bz67627

Event Timeline

bzimport raised the priority of this task from to Normal.Nov 22 2014, 3:41 AM
bzimport set Reference to bz67627.
Krinkle created this task.Jul 7 2014, 9:17 PM

Change 144941 had a related patch set uploaded by Rohan013:
Navigation buttons are fixed

https://gerrit.wikimedia.org/r/144941

Change 144941 merged by jenkins-bot:
Fix navigation buttons on Special:Listfiles for first and last page

https://gerrit.wikimedia.org/r/144941

Gilles raised the priority of this task from Normal to Unbreak Now!.Dec 4 2014, 10:21 AM
Gilles moved this task from Untriaged to Done on the Multimedia board.
Gilles lowered the priority of this task from Unbreak Now! to Normal.Dec 4 2014, 11:21 AM